Bug 498093 - Kernel mode setting causes limited framebuffer corruption on resume
Kernel mode setting causes limited framebuffer corruption on resume
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-28 16:38 EDT by Michel Alexandre Salim
Modified: 2009-05-06 15:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 15:48:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing screen garbling of EOG (806.91 KB, image/jpeg)
2009-04-28 16:38 EDT, Michel Alexandre Salim
no flags Details
X log file (33.89 KB, text/plain)
2009-05-04 17:17 EDT, Michel Alexandre Salim
no flags Details

  None (edit)
Description Michel Alexandre Salim 2009-04-28 16:38:40 EDT
Created attachment 341648 [details]
Screenshot showing screen garbling of EOG

Description of problem:
When kernel mode setting is enabled, using this video controller:

00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)

suspend and resume works fine most of the time, but if one of the following applications (there could be more) are running at the time of suspend, then the X display is garbled as long as one of the affected applications is in the foreground.

1. Emacs (GTK interface)
2. Eye of GNOME

Focusing an unaffected application and sweeping the screen with them, forcing a repaint, temporarily fixes the problem until one of the affected application is brought to the foreground again, at which point the entire screen is garbled as before.

Launching any other application after the corruption problem has occured causes them to garble the screen as well.

If all affected application are closed before suspending, then the problem does not occur. Likewise, if kernel mode setting is disabled, the problem does not occur at all.
 
Version-Release number of selected component (if applicable):
$ rpm -q kernel
kernel-2.6.29.1-100.fc11.x86_64
kernel-2.6.29.1-102.fc11.x86_64
kernel-2.6.29.1-111.fc11.x86_64


How reproducible:
Always

Steps to Reproduce:
1. Boot on a system with kernel mode setting (especially Intel GM965)
2. Log in, start Emacs / EOG
3. Suspend and resume
  
Actual results:
Display is garbled

Expected results:
Display not garbled, same as if KMS is disabled

Additional info:
This happens on all three kernel revisions, on x86_64. Not marking architecture in case this problem is reproducible on i586 as well.
Comment 1 Michel Alexandre Salim 2009-05-04 17:16:42 EDT
Most likely an Intel driver problem.

xorg-x11-server-Xorg-1.6.1-6.fc11.x86_64
xorg-x11-drv-intel-2.7.0-2.fc11.x86_64
Comment 2 Michel Alexandre Salim 2009-05-04 17:17:27 EDT
Created attachment 342388 [details]
X log file
Comment 3 Michel Alexandre Salim 2009-05-06 15:48:04 EDT
Looks to be fixed in the latest kernel:

$ rpm -q kernel xorg-x11-drv-intel
kernel-2.6.29.2-129.fc11.x86_64
xorg-x11-drv-intel-2.7.0-2.fc11.x86_64

Note You need to log in before you can comment on or make changes to this bug.